summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2019-03-16 02:52:22 +0100
committerSlávek Banko <slavek.banko@axis.cz>2019-03-16 02:52:22 +0100
commit9011dcc5b79c6f60170fad0315ed914f3796ea03 (patch)
tree4479ed70d1b56c5f2ffd1eb83b858e76760a2f5f
parent8801de4b7d053fcf86efc22add84b9242f8211c8 (diff)
downloadtde-packaging-master.tar.gz
tde-packaging-master.zip
DEB trinity-slax: Create an initial kpersonalizerrc.HEADorigin/masterorigin/HEADmaster
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
l---------debian/lenny/metapackages/trinity-slax1
-rw-r--r--debian/squeeze/metapackages/trinity-slax/debian/postinst28
2 files changed, 29 insertions, 0 deletions
diff --git a/debian/lenny/metapackages/trinity-slax b/debian/lenny/metapackages/trinity-slax
new file mode 120000
index 000000000..42c2a8401
--- /dev/null
+++ b/debian/lenny/metapackages/trinity-slax
@@ -0,0 +1 @@
+../../squeeze/metapackages/trinity-slax \ No newline at end of file
diff --git a/debian/squeeze/metapackages/trinity-slax/debian/postinst b/debian/squeeze/metapackages/trinity-slax/debian/postinst
new file mode 100644
index 000000000..9576c7390
--- /dev/null
+++ b/debian/squeeze/metapackages/trinity-slax/debian/postinst
@@ -0,0 +1,28 @@
+#! /bin/sh -e
+
+case "$1" in
+
+ configure)
+ if [ ! -f /root/.trinity/share/config/kpersonalizerrc ]; then
+ [ -d /root/.trinity/share/config ] ||
+ mkdir -p /root/.trinity/share/config
+ cat >/root/.trinity/share/config/kpersonalizerrc <<kpersonalizerrc
+[General]
+FirstLogin=false
+kpersonalizerrc
+ fi
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0